package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectRecord;

/**
 * 巡查记录 数据层
 */
@Mapper
public interface TBusiInspectRecordMapper {

    TBusiInspectRecord selectTBusiInspectRecordByGuid(String guid);

    List<TBusiInspectRecord> selectTBusiInspectRecordList(TBusiInspectRecord tBusiInspectRecord);

    int insertTBusiInspectRecord(TBusiInspectRecord tBusiInspectRecord);

    int updateTBusiInspectRecord(TBusiInspectRecord tBusiInspectRecord);

    int deleteTBusiInspectRecordByGuid(String guid);

    int deleteTBusiInspectRecordByGuids(String[] guids);
}
